Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.api.wadl.config
Class WadlGeneratorDescription

    java.lang.Object
      com.sun.jersey.api.wadl.config.WadlGeneratorDescription

    public class WadlGeneratorDescription

extends java.lang.Object

This is the model for the definition of wadl generators via configuration properties.
The properties refer to the properties of the `WadlGenerator` implementation with the specified `getGeneratorClass()`. The `WadlGenerator` properties are populated with the provided properties like this:

- The types match exactly:
  if the WadlGenerator property is of type `org.example.Foo` and the provided property value is of type `org.example.Foo`
- The WadlGenerator property is of type `File` and the provided property value is a `String`:
  the provided property value can contain the prefix classpath: to denote, that the path to the file is relative to the classpath. In this case, the property value is stripped by the prefix classpath: and the `File` is created via

      new File( generator.getClass().getResource( strippedFilename ).toURI() )

  Notice that the filename is loaded from the classpath in this case, e.g. classpath:test.xml refers to a file in the package of the class (`getGeneratorClass()`). The file reference classpath:/test.xml refers to a file that is in the root of the classpath.

Version:
  $Id$
Author:
  Martin Grotzke

Constructor Summary
`WadlGeneratorDescription()`
`WadlGeneratorDescription(java.lang.Class<? extends WadlGenerator> generatorClass, java.util.Properties properties)`

Method Summary
`java.lang.Class<? extends WadlGenerator>` | `getGeneratorClass()`
`java.util.Properties` | `getProperties()`
`void` | `setGeneratorClass(java.lang.Class<? extends WadlGenerator> generatorClass)`
`void` | `setProperties(java.util.Properties properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WadlGeneratorDescription

    public WadlGeneratorDescription()

### WadlGeneratorDescription

    public WadlGeneratorDescription(java.lang.Class<? extends WadlGenerator> generatorClass,
                                    java.util.Properties properties)

Method Detail

### getGeneratorClass

    public java.lang.Class<? extends WadlGenerator> getGeneratorClass()

  Returns:
    the generatorClass

### setGeneratorClass

    public void setGeneratorClass(java.lang.Class<? extends WadlGenerator> generatorClass)

  Parameters:
    `generatorClass` - the generatorClass to set

### getProperties

    public java.util.Properties getProperties()

  Returns:
    the properties

### setProperties

    public void setProperties(java.util.Properties properties)

  Parameters:
    `properties` - the properties to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.